[BACK]Return to Makefile CVS log [TXT][DIR] Up to [cvs.NetBSD.org] / pkgsrc / graphics / ruby-clutter

File: [cvs.NetBSD.org] / pkgsrc / graphics / ruby-clutter / Makefile (download)

Revision 1.2, Wed Sep 21 15:26:46 2011 UTC (9 years ago) by taca
Branch: MAIN
CVS Tags: pkgsrc-2013Q1-base, pkgsrc-2013Q1, pkgsrc-2012Q4-base, pkgsrc-2012Q4, pkgsrc-2012Q3-base, pkgsrc-2012Q3, pkgsrc-2012Q2-base, pkgsrc-2012Q2, pkgsrc-2012Q1-base, pkgsrc-2012Q1, pkgsrc-2011Q4-base, pkgsrc-2011Q4, pkgsrc-2011Q3-base, pkgsrc-2011Q3
Changes since 1.1: +3 -1 lines

Move RUBY_VERSION_SUPPORTED=18 restriction to each Makefile from
graphics/ruby-clutter/Makefile.common, making it really work.

A short discussion with joerg@.  Thanks Joerg.

# $NetBSD: Makefile,v 1.2 2011/09/21 15:26:46 taca Exp $
#

PKGNAME=	${RUBY_PKGPREFIX}-clutter-${VERSION}
COMMENT=	Ruby binding for Clutter libraries
CATEGORIES=	meta-pkgs

META_PACKAGE=	yes

RUBY_VERSION_SUPPORTED= 18

DEPENDS+=	${RUBY_PKGPREFIX}-clutter-core>=${VERSION}:../../graphics/ruby-clutter-core
DEPENDS+=	${RUBY_PKGPREFIX}-clutter-cairo>=${VERSION}:../../graphics/ruby-clutter-cairo
DEPENDS+=	${RUBY_PKGPREFIX}-clutter-gtk>=${VERSION}:../../graphics/ruby-clutter-gtk
DEPENDS+=	${RUBY_PKGPREFIX}-clutter-cairo>=${VERSION}:../../graphics/ruby-clutter-cairo
DEPENDS+=	${RUBY_PKGPREFIX}-clutter-gst>=${VERSION}:../../multimedia/ruby-clutter-gst

.include "Makefile.common"